package jp.hasc.hasctool.ui.views.beanslist;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.part.ViewPart;

/**
 * Beans一覧を表示するViewPartです
 * @author iwasaki
 */
public class BeansListView extends ViewPart {
	private BeansListWidget widget_;
	public static final String ID = "jp.hasc.hasctool.ui.views.beanslist.BeansListView";

	@Override
	public void createPartControl(Composite parent) {
		widget_=new BeansListWidget(this, parent, SWT.NONE);
	}
	
	public IEditorPart getActiveEditor() {
		return getSite().getWorkbenchWindow().getActivePage().getActiveEditor();
	}

	@Override
	public void setFocus() {
	}

	public BeansListWidget getWidget() {
		return widget_;
	}
}
